Bug 107032 - account using tcsh are VERY slow with grep
account using tcsh are VERY slow with grep
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: tcsh (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
Bill Huang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-14 11:05 EDT by Scott Collins
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-17 04:24:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Scott Collins 2003-10-14 11:05:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.4)
Gecko/20030624 Netscape/7.1 (ax)

Description of problem:
a grep of a fairly large file takes ~6 seconds when the users shell is bash. 
When it is tcsh it takes > 860 seconds.  This is consistent and 100%
reproducable across redhat 8.0 and 9.0 versions even fully patched.

Command line example:
# echo $SHELL
/bin/bash
# ls -l
total 383592
drwx------    2 root     root        16384 Jul 15 05:01 lost+found
-rw-r--r--    1 root     root     388795360 Oct 14 09:07 singletons.tblastn.pep
# time grep -c ">" singletons.tblastn.pep
632930

real    0m6.718s
user    0m0.260s
sys     0m0.670s
# tcsh
# time grep -c ">" singletons.tblastn.pep
632930
862.170u 0.910s 14:50.46 96.9%  0+0k 0+0io 163pf+0w
#


Version-Release number of selected component (if applicable):
tcsh-6.12-4

How reproducible:
Always

Steps to Reproduce:
1. time grep -c ">" filename (under bash)
2. time grep -c ">" filename (under tcsh)
3.
    

Actual Results:  tcsh takes 862 seconds while bash takes 6.7 s

Expected Results:  times should be consistent

Additional info:
Comment 1 Miloslav Trmač 2004-08-20 04:50:38 EDT
This might be a locale issue.
Please attach the output of (which grep) and (locale)
under both bash and tcsh.
The version of grep (as reported by (rpm -q grep)) is also important.

Thanks.
Comment 2 Miloslav Trmač 2005-04-17 04:24:35 EDT
Please reopen this report if you can reproduce the problem on a recent release
and you can provide the requested data.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.